# This Spec file was Created by Marco Meijer <marco@mandrivaclub.nl>
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit comments via http://www.mandrivaclub.nl

%define name    tivodecode
%define version 0.1.4
%define release 1.2007mcnl
%define summary converts a .TiVo file to a normal MPEG file.

Name:           %{name} 
Summary:        %{summary}
Version:        %{version} 
Release:        %{release} 
Vendor:         Mandrivaclub.nl
URL:            http://tivodecode.sourceforge.net/
License:        GPL
Group:          Video
Packager:       Marco Meijer <marco@mandrivaclub.nl>

Source0:        %{name}-%{version}.tar.gz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot 

%description
This software converts a .TiVo file (produced by the TiVoToGo functionality
on recent TiVo software releases) to a normal MPEG file. This has the same
functionality as using TiVo's supplied DirectShow DLL on Windows with a tool
such as DirectShowDump, but is portable to different architectures and operating
systems, and runs on the command line using files or pipes. The conversion still
requires the valid MAK of the TiVo which recorded the file, so it cannot be used
to circumvent their protection, simply to provide the same level of access as is
already available on Windows.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n %{name}-%{version}

%build

%make

%install
mkdir -p %{buildroot}%{_bindir}/
cp -f objects.dir/tivodecode %{buildroot}%{_bindir}/tivodecode


%clean 
rm -rf $RPM_BUILD_ROOT



%files 
%defattr(-,root,root,0755) 
%doc COPYING
%{_bindir}/tivodecode

%changelog

* Tue Jan 24 2007 Marco Meijer <marco@mandrivaclub.nl> 0.1.4-1.2007mcnl
  new version

* Tue Dec 05 2006 Marco Meijer <marco@mandrivaclub.nl> 0.1.3-1.2007mcnl
  First build for Mandrivaclub.nl



